missing dependency

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

missing dependency

ANASTACIO Tiago
Hi ,

 from community repository:



Which requires a few dependancies including



The issue is with the dependency:

 python2-setuptools

I tried to look for official red-hat repository,
centos repositories
any solution on internet...

But could find one except for centos 6 ......

Does anyone have an idea where I could pick this package ?

Thank you very much



Reply | Threaded
Open this post in threaded view
|

Re: missing dependency

Devrim GÜNDÜZ

Hi,

On Thu, 2019-07-11 at 13:50 +0000, ANASTACIO Tiago wrote:
> Hi ,
> I'am installing barman-2.8-1.rhel7.noarch.rpm from community repository

<snip>
Which requires a few dependancies including
>
> python2-barman-2.8-1.rhel7.noarch.rpm
>
> The issue is with the dependency:
>  python2-setuptools
> I tried to look for official red-hat repository,
> centos repositories
> any solution on internet...
> But could find one except for centos 6 ......

The actual package name is python-setuptools, and it provides python2-
setuptools virtually:

$ yum whatprovides python2-setuptools

<snip>

python-setuptools-0.9.8-7.el7.noarch : Easily build and distribute Python
packages
Repo        : base
Matched from:
Provides    : python2-setuptools = 0.9.8-7.el7

Regards,
>

--
Devrim Gündüz
Open Source Solution Architect, Red Hat Certified Engineer
Twitter: @DevrimGunduz , @DevrimGunduzTR

signature.asc (849 bytes) Download Attachment